Jump to content
Eternal Lands Official Forums
Entropy

Linux Client test

Recommended Posts

The 32b binary is here, provided by Rauch: http://rauchs-home.de/el-fd/el.x86.1-8.linux.bin

The data (without binary) is here: http://www.eternal-lands.com/el_update_180.zip

 

There is one known problem with this client, for some reason libpng3 is required by sdl_image but on many distros it is not installed. So if you don't have that library you won't see eye candy stuff. For more details check this thread: http://www.eternal-lands.com/forum/index.php?showtopic=47699 (there is also a 64b binary there).

 

So please test and tell me if there are any problems with it.

 

EDIT:

If the client crashes, try this: http://rauchs-home.de/el-fd/el.x86.duron.linux.bin

Share this post


Link to post
Share on other sites
So please test and tell me if there are any problems with it.

I cannot get this binary to run at ALL.

Screen flickers for a brief moment, then I am back to desktop.

 

What I did:

renamed to el.linux.bin, set executable, and used desktop shortcut/icon.

 

When I call it from a bash-terminal, I get the same bahaviour.

Share this post


Link to post
Share on other sites

I have ubuntu 8.10 64 bit, this runs fine for me once I remove all the .s from the filename.

Share this post


Link to post
Share on other sites
When I call it from a bash-terminal, I get the same bahaviour.

 

Do you get any error message? Can you post your errors log? System info?

Share this post


Link to post
Share on other sites

Runs fine for me right now, no problems found so far.

 

Piper

 

Edit: Ubuntu 8.10, 32 bit

(And still no problem after playing for a few hours now)

Edited by The_Piper

Share this post


Link to post
Share on other sites

Here is the ENTIRE errorlog:

 

--------

 

Log started at 2009-01-07 13:39:13 localtime (CST)

 

[13:39:13] Using the server profile: main

 

---------------

That's all there is!

 

EDIT:ADD

System is Opensuse11, 1.2 gighz, 2 gig ram, alsa sound.

I build RC3 from CVS and that runs just fine for me.

Edited by AngusMacDude

Share this post


Link to post
Share on other sites

Rotating the camera using the arrow keys seems to be very slow on this release. In 1.7 it was very nice and responsive. If rotating the camera using the 3rd mouse button it's fine, the problem is only when using keys.

Share this post


Link to post
Share on other sites
Here is the ENTIRE errorlog:

 

--------

 

Log started at 2009-01-07 13:39:13 localtime (CST)

 

[13:39:13] Using the server profile: main

 

---------------

That's all there is!

 

EDIT:ADD

System is Opensuse11, 1.2 gighz, 2 gig ram, alsa sound.

I build RC3 from CVS and that runs just fine for me.

 

EDIT 2 ADD:

When run from bash terminal, there is a message "illegal instruction" with no further info.

Share this post


Link to post
Share on other sites

Reminder: I gave you 200 USD so the elm files would be gzipped. At least that was my understanding of that transaction (see this topic, I already posted the paypal transaction id in the windows update thread).

Your replies in that thread seemed to indicate that we could expect that to happen with this update...

Share this post


Link to post
Share on other sites

Is this package any different than the EL RC 1.8.0-4ubuntu2 package I got from apt-get or is this the "final" official client?

Share this post


Link to post
Share on other sites
Reminder: I gave you 200 USD so the elm files would be gzipped. At least that was my understanding of that transaction (see this topic, I already posted the paypal transaction id in the windows update thread).

Your replies in that thread seemed to indicate that we could expect that to happen with this update...

 

Oops, sorry about that, I forgot :/

Anyway, we settleed the issue via PM.

 

What CPU do you have, AngusMacDude?

 

Edit: is it a duron by any chance?

My CPU is an AMD Athlon XP 2000+

 

What distro?

And do you get ANY error message when starting El via terminal?

Share this post


Link to post
Share on other sites

"Illegal Instruction"

 

I got that with 1.7 binaries as well though, so I'm not surprised. Very old comp here with graphic card that is just strong enough to handle EL. :hiya:

 

I tried though. :) I'll have to do a self-compile later just as I did with 1.7, no biggie.

 

 

 

ADDED (since new posts made while I was writing): OpenSUSE 11 w/ Duron CPU here, NVIDIA GForce FX 5200)

Edited by GoodDay2Die

Share this post


Link to post
Share on other sites
Also just noticed, the iron helmet doesn't appear on character when wearing it.

 

Did you use the data I provided?

 

"Illegal Instruction"

 

I got that with 1.7 binaries as well though, so I'm not surprised. Very old comp here with graphic card that is just strong enough to handle EL. :hiya:

 

I tried though. :) I'll have to do a self-compile later just as I did with 1.7, no biggie.

 

 

 

ADDED (since new posts made while I was writing): OpenSUSE 11 w/ Duron CPU here, NVIDIA GForce FX 5200)

 

What CPU do you have?

Share this post


Link to post
Share on other sites
Also just noticed, the iron helmet doesn't appear on character when wearing it.

 

Did you use the data I provided?

 

I think I did, I extracted the data zip and then ran the linux binary from within that directory. I do have 1.7 installed via a debian package though and I don't know how to tell el which set of data to use. So it may be it was using the 1.7 data if it has to be in a specific path.

Share this post


Link to post
Share on other sites
What distro?

And do you get ANY error message when starting El via terminal?

 

Distro is Opensuse11

From bash, I get "Illegal instruction" with no futher info.

 

Rauch just shot me the url to a "duron" flavored build that starts and is running fine for me so far.

:hiya:

Share this post


Link to post
Share on other sites
What CPU do you have?

 

 

AMD Duron with OpenSUSE 11.0.

 

(Not sure it's worth fretting over though, NVIDIA no longer provides drivers that work with this CPU combined with newer linux kernels, can't even use OSUSE 11.1 with this graphic card. Problem may shortly be obsolete.)

 

 

 

 

 

EDIT: The i586 build works fine here. :hiya:

Edited by GoodDay2Die

Share this post


Link to post
Share on other sites

Works fine on both Ubuntu 8.10 and Debian Lenny (both 32-bit) once the libpng3 is installed.

 

Is this package any different than the EL RC 1.8.0-4ubuntu2 package I got from apt-get or is this the "final" official client?

That client package is built from the same source but is specially for Ubuntu. It will be smaller as it uses system installed libraries rather and building them into the client. I'll be releasing non RC versions of the packages very soon.

Share this post


Link to post
Share on other sites

Runs ok for me, debian stable, but i installed lots of libs because of the prior client i compiled myself. Perhaps not the same on a station without dev-libs ?

Share this post


Link to post
Share on other sites

All is working great on opensuse 11.1

Forester, in controls tab is an option called Camera Rotation Deceleration. i set that to .28 and the Camera Rotation Speed

to 96.5 and camera is going smooth with keys. try that then adjust to your taste and see if it helps.

-x~~

Share this post


Link to post
Share on other sites
AMD Duron with OpenSUSE 11.0.

 

(Not sure it's worth fretting over though, NVIDIA no longer provides drivers that work with this CPU combined with newer linux kernels, can't even use OSUSE 11.1 with this graphic card. Problem may shortly be obsolete.)

That's odd...

 

I realise this is a bit off topic but whats the problem with Duron's?

If an architecture specific kernel is being used, it's still the same as what would be used with an Athlon, AthlonXP or Athlon64 (when running in 32bit mode)... being a K7 optimised kernel... afaik, technologically, a Duron is just an Athlon-Thunderbird or AthlonXP-Palomino with less cache (please correct me if that's wrong)... how can there be a nVidia drivers or EL binary problem with Duron's but not with other AMD K7 family CPUs?

Edited by Korrode

Share this post


Link to post
Share on other sites
I realise this is a bit off topic but whats the problem with Duron's?

If an architecture specific kernel is being used, it's still the same as what would be used with an Athlon, AthlonXP or Athlon64 (when running in 32bit mode)... being a K7 optimised kernel... afaik, technologically, a Duron is just an Athlon-Thunderbird or AthlonXP-Palomino with less cache (please correct me if that's wrong)... how can there be a nVidia drivers or EL binary problem with Duron's but not with other AMD K7 family CPUs?

 

Not just Duron* but any CPU that doesn't have SSE support. The 100.14.19.x Nvidia drivers was the last driver series to support non-SSE CPUs, and they are no longer updating those. There's no Nvidia driver available that'll work with the most recent Linux kernel for non-SSE CPUs.

 

*clarification: 1st generation Durons (Spitfire) are what I'm referring to. 2nd gen Durons (Morgan and on) were the first AMD CPUs that included SSE. (Yup, my comp is VERY old!)

http://en.wikipedia.org/wiki/Duron#Duron_core_data

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×